Bug 1006315 - NoClassDefFoundError during migration
NoClassDefFoundError during migration
Product: RHQ Project
Classification: Other
Component: Installer (Show other bugs)
All All
urgent Severity urgent (vote)
: ---
: RHQ 4.9
Assigned To: Stefan Negrea
Mike Foley
Depends On:
Blocks: 951619
  Show dependency treegraph
Reported: 2013-09-10 08:28 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-24 15:08:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
migration.log (1.99 KB, text/x-log)
2013-09-10 08:28 EDT, Armine Hovsepyan
no flags Details
migration.png (41.27 KB, image/png)
2013-09-11 08:42 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Armine Hovsepyan 2013-09-10 08:28:04 EDT
Created attachment 795985 [details]

Description of problem:
NoClassDefFoundError during migration

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install rhq 4.5
2. upgrade rhq 4.5 to 4.9
3. run rhq-data-migration.sh/bat

Actual results:
NoClassDefFoundError: org/rhq/core/util/obf

Expected results:
migration take part without issues

Additional info:
reproduced on both windows and linux envs
log attached
Comment 1 Jay Shaughnessy 2013-09-10 12:48:49 EDT
commit 4bef51991629aa65034b8798cb5eedff0bc8dafd
Author: Stefan Negrea <snegrea@redhat.com>
Date:   Tue Sep 10 11:27:34 2013 -0500

- added rhq-core-util to the list of module dependencies
- removed compression settings since the compression will not be available at all
Comment 2 Stefan Negrea 2013-09-10 13:06:06 EDT
There were two problems with the data migration tool after recent changes in the obfuscation code and Cassandra compression. First, the dependency on rhq-core-util was not correctly declared in the module.xml and also not packaged with the module by the build system. Second, the compression option was still left in the code even though it was completely disabled for the storage node. Fixed both problems with the commit above. Please retest.
Comment 3 Armine Hovsepyan 2013-09-11 08:40:55 EDT
please get screen-shot attached
Comment 4 Armine Hovsepyan 2013-09-11 08:42:00 EDT
Created attachment 796359 [details]

verification buildId:4bef519
Comment 5 Heiko W. Rupp 2013-09-24 15:08:45 EDT
Bulk closing of RHQ 4.9 verified items

Note You need to log in before you can comment on or make changes to this bug.